# $Revision: 1.19 $, $Date: 2007/02/12 22:09:23 $
Summary:	Realtime XMMS plugin for remastering MP3 sound
Summary(pl.UTF-8):	Wtyczka dla XMMS-a poprawiająca jakość odtwarzania plików MP3
Name:		xmms-general-crystality
Version:	0.92
Release:	4
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://fanthom.math.put.poznan.pl/~gyver/crystality/crystality-plugin-%{version}.tar.gz
# Source0-md5:	960d69bc3b0c90f4aca2631b35417c73
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-gcc33.patch
URL:		http://fanthom.math.put.poznan.pl/~gyver/crystality/
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.0
Requires:	xmms
Obsoletes:	crystality-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin does mainly four things:
- adds some sounds in very high frequency range,
- adds some even harmonic distortions,
- adds simple, but nice 3D echo,
- extends stereo.

%description -l pl.UTF-8
Ta wtyczka wykonuje głównie cztery zadania:
- dodaje dźwięki w bardzo wysokim zakresie częstotliwości,
- dodaje pewne harmoniczne zniekształcenia,
- dodaje prosty efekt echa 3D,
- rozszerzone stereo.

%prep
%setup -q -n crystality-plugin-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{xmms_general_plugindir}}

#%%{__make} install \
#	XMMS_PLUGIN=$RPM_BUILD_ROOT%{_libdir}/xmms/General
#	STDIO_PLUGIN=$RPM_BUILD_ROOT%{__bindir}/crystality-stdio
install libcrystality.so $RPM_BUILD_ROOT%{xmms_general_plugindir}
install crystality-stdio $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{xmms_general_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-general-crystality.spec,v $
Revision 1.19  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.17  2005/02/27 19:08:24  zboczuch
- pl fix

Revision 1.16  2004/10/30 10:55:52  paladine
- unification, capitalization, better desc

Revision 1.15  2004/10/28 10:15:41  paladine
- "MP3" unification

Revision 1.14  2004/08/10 19:49:03  wolf
- fixed (?) amd64
- rel 4

Revision 1.13  2003/08/18 08:09:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/08/04 23:10:04  grzegol
- added gcc33 patch (multiline string issue)
- added %%{_bindir}/* to %%files

Revision 1.11  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.10  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/14 03:28:18  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.6  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.5  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.4  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.3  2002/11/29 22:47:58  ankry
- massive attack: new %%doc

Revision 1.2  2002/05/04 12:11:59  kloczek
- added Makefile patch for copile crystality plugin with %%{rpmcflags} and using
  proper compilator.

Revision 1.1  2002/05/04 12:05:46  kloczek
- renamed: crystality-plugin -> xmms-general-crystality.
